QGIS Application - Bug report #14104
DB Manager: sequence issue when copying a table from a PostGIS schema into another
2016-01-14 11:06 AM - Paul Kanelli

Status: Closed

Priority: Normal

Assignee:

Category: DB Manager

Affected QGIS version:2.12.2 Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: duplicate
Crashes QGIS or corrupls data: Copied to github as #: 22110
Description

In QGIS 2.12.2 sequences of serial columns don't get lost when copying a table from a schema into another by drag and drop in the DB
Manager (see Bug report #12956). Unfortunately the sequences don't consider existing rows. So it's impossible to add new features in the
table.

ERROR: duplicate key value violates unique constraint "test_geometry _pkey"
DETAIL: Key (gid)=(1) already exists.

Related issues:
Duplicates QGIS Application - Bug report # 6798: when copying a table by d&d ... Closed 2012-11-30

History

#1 - 2016-02-21 10:46 AM - Paul Kanelli
- File sequence.mp4 added

I've uploaded a screencast. The issue may also appear when importing a file in the DB manager!

#2 - 2016-03-13 06:57 AM - Paul Kanelli

See also #6798

#3 - 2016-03-14 01:33 AM - Giovanni Manghi

- Resolution set to duplicate

- Status changed from Open to Closed

Files

sequence.mp4 1.8 MB 2016-02-21 Paul Kanelli
